TITLE Clean.asm
;                                      ====================
;=======================================    Clean.asm     ==========================================
;==                                    ====================                                       ==
;==                                                                                               ==
;== Project         : ScanGui                                                                     ==
;== Filename        : Clean.asm                                                                   ==
;== Version         : 1                                                                           ==
;== Date            : Jul 15, 2008                                                                 ==
;== Compiler        : Masm v. 6.14 by Microsoft Corporation.                                      ==
;== Purpose         : Resets all data on the main window.                                         ==
;==                                                                                               ==
;===================================================================================================
;==                                                                                               ==
;== Copyright (c) 2008, P. H. Duarte                                                              ==
;== All rights reserved.                                                                          ==
;==                                                                                               ==
;===================================================================================================

; VERSION HISTORY:
; ----------------

; Version           : 1
; Date              : Jul 15, 2008
; Revised by        : P. H. Duarte
; Description       : Original Version.
;===================================================================================================

.686
.model flat, stdcall
option casemap :none
PUBLIC Clean

;===================================================================================================
;=                                 Include Files                                                   =
;===================================================================================================

include ScanGII.inc

;===================================================================================================
;=                                 Local Data                                                      =
;===================================================================================================

.data
; ---> Table of strings to be cleaned.

dwCleanTable	DWORD	lpstrFile, lpstrFilePath, lpstrScanCmdLine, szOutName

;===================================================================================================

.code	

;================================================================================
;
; Clean (hwnd)
;
; PURPOSE:	Clear all program strings.
;
; ENTRY:	hwnd  = Handle to the main window.
;
; EXIT:		No significative values.
;==================================================================================			

Clean proc hwnd:HWND
align 04
; --> Clear dwCleanTable variables. <--
  
	xor EBX, EBX
	.while EBX < lengthof dwCleanTable
		invoke RtlZeroMemory, dword ptr ds:[dwCleanTable+EBX*4], MAXLEN
		inc EBX
	.endw
	
; --> Clear the edit boxes	<--
	
	mov EBX, EDT_1
	.while EBX <= EDT_3
		invoke SetDlgItemText, dword ptr ds:[hwnd], EBX, NULL
		inc EBX
	.endw
	
; --> Reset the check buttons state. <--
	
	mov EBX, CHK_1
	.while EBX <= CHK_3
		invoke GetDlgItem, dword ptr ds:[hwnd], EBX	; EBX -> ID of check button.
		mov dword ptr ds:[hCheck], EAX
		invoke SendMessage, dword ptr ds:[hCheck], BM_SETCHECK, BST_UNCHECKED, 0
		inc EBX
	.endw
	invoke SendMessage, dword ptr ds:[hCombo], CB_SETCURSEL, 0, 0
	ret
Clean endp
end
;===================================================================================================
;=                                             EOF                                                 =
;===================================================================================================